<!DOCTYPE html>
<html>
<head>
	<title>Someone needs You !</title>
	<style>
		*, *::before, *::after {
			margin: 0;
			padding: 0;
			box-sizing: border-box;
			-webkit-box-sizing: border-box;
		}
		html, body {
			height: 100%;
		}
		body {
			text-align: center;
		}
		
		#map {
			width: 100%;
			margin-top: -4px;
			height: calc(100% - 207px);
		}
		
		#img {
			height: 207px;
		}
	</style>
</head>
<body>
	<img id="img" src="http://grand-est-2016.hackathon.dilink.ovh/web/img/besoin-de-vous.png" alt="Besoin de vous">
	<div id="map"></div>
	<script src="https://cdn.socket.io/socket.io-1.4.5.js"></script>
	
	<link rel="stylesheet" type="text/css" href="http://cdnjs.cloudflare.com/ajax/libs/leaflet/0.7.2/leaflet.css" />
	<link rel="stylesheet" type="text/css" href="L.Mappy.css" />
	<script type="text/javascript" src="http://cdnjs.cloudflare.com/ajax/libs/leaflet/0.7.2/leaflet.js"></script>
	<script type="text/javascript" src="L.Mappy.js"></script>
	
	<script>
		var vibrateServer = io('http://192.168.58.1:3000');
		var supportsVibrate = 'vibrate' in navigator;
		var map = new L.Mappy.Map('map', {
			clientId: 'pjHackathon',
			center: ['49.1098741', '6.1764075'],/*"48.853335", "2.377676"*/
			zoom: 15
		});
		
		var mLayer = L.layerGroup().addTo(map);
		if (supportsVibrate && navigator.geolocation) {
			navigator.geolocation.getCurrentPosition(function(position) {
				var coords = [position.coords.latitude, position.coords.longitude];
//				map.setCenter(3.082418,45.777168);
				var marker = L.marker(coords).addTo(mLayer);
				//map.options.center = coords;
				console.log(coords);
				vibrateServer.emit('geoloc', {lat:coords[0], lng:coords[1]});
				var dot = 120, line = 240, blank = 150;
				vibrateServer.on('vibrate', function() {
					/*if ('Notification' in window) {
						if (Notification.permission === 'granted') {
							var notification = new Notification('Salut toi (1) !');
						} else if (Notification.permission !== 'denied') {
							Notification.requestPermission(function (permission) {
								if (permission === 'granted') {
									var notification = new Notification('Salut toi (2) !');
								}
							});
						}
					} else {
						alert('Notification are not available');
					}*/
					alert('VIBRATE');
					navigator.vibrate([dot, blank, dot, blank, dot, blank, line, blank, line, blank, line, blank, dot, blank, dot, blank, dot]);
				});
			});
		}
	</script>
</body>
</html>